# eric3.UI.PyCoverageDialog

Module implementing a Python code coverage dialog.

### Classes

PyCoverageDialog | Class implementing a dialog to display the collected code coverage data.

### Functions

None

## PyCoverageDialog

Class implementing a dialog to display the collected code coverage data.

### Derived from

PyCoverageForm

### Methods

PyCoverageDialog | Constructor
__format_lines | Private method to format a list of integers into string by coalescing groups.
buttonPressed | Private slot connected to the button clicked signal.
deleteAnnotated | Private slot to handle the delete annotated context menu action.
finish | Private slot called when the action finished or the user pressed the button.
handleAnnotate | Private slot to handle the annotate context menu action.
handleAnnotateAll | Private slot to handle the annotate all context menu action.
handleContextMenu | Private slot to show the context menu of the listview.
handleErase | Private slot to handle the erase context menu action.
handleReload | Privale slot to reload the coverage info.
start | Public slot to start the coverage data evaluation.
stringify |

### PyCoverageDialog (Constructor)

PyCoverageDialog(parent = None)

Constructor

parent
  parent widget (QWidget)

### PyCoverageDialog.__format_lines

__format_lines(lines)

Private method to format a list of integers into string by coalescing groups.

lines
  list of integers

Returns:
  string representing the list

### PyCoverageDialog.buttonPressed

buttonPressed()

Private slot connected to the button clicked signal.

### PyCoverageDialog.deleteAnnotated

deleteAnnotated()

Private slot to handle the delete annotated context menu action. This method deletes all annotated files. These are files ending with ',cover'.

### PyCoverageDialog.finish

finish()

Private slot called when the action finished or the user pressed the button.

### PyCoverageDialog.handleAnnotate

handleAnnotate()

Private slot to handle the annotate context menu action. This method produce an annotated coverage file of the selected file.

### PyCoverageDialog.handleAnnotateAll

handleAnnotateAll()

Private slot to handle the annotate all context menu action. This method produce an annotated coverage file of every file listed in the listview.

### PyCoverageDialog.handleContextMenu

handleContextMenu(itm, pos, col)

Private slot to show the context menu of the listview.

itm
  the item under the mouse cursor (QListViewItem)
pos
  global position of the context menu (QPoint)
col
  column of the mouse cursor (int)

### PyCoverageDialog.handleErase

handleErase()

Private slot to handle the erase context menu action. This method erases the collected coverage data that is stored in the .coverage file.

### PyCoverageDialog.handleReload

handleReload()

Privale slot to reload the coverage info.

### PyCoverageDialog.start

start(cfn, fn)

Public slot to start the coverage data evaluation.

cfn
  basename of the coverage file (string)
fn
  file or list of files or directory to be checked (string or list of strings)

### PyCoverageDialog.stringify

stringify()
Up